%define _requires_exceptions perl

Summary:	MyLiveCD Remastering Tool
Name:		mylivecd
Version:	0.9.9
Release:	%mkrel 8
License:	GPL
Group:		System/Configuration/Boot and Init
Source0:	%name-%version.tar.xz
Source1:	10-mylivecd.rules
Source2:	modprobe.preload.d-mylivecd
URL:		http://www.pclinuxos.com
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	util-linux-ng
Requires:	cdrkit-genisoimage
Requires: 	squashfs-tools >= 4.2
Requires:	syslinux >= 6.02
Requires:	zlib1
Requires:	drakx-installer-binaries-probe
Requires:	drakx-installer-binaries-probe-xz
Requires:	gettext
Requires:	%{_lib}udev0
Requires:	%{_lib}png3 >= 1.2.47
Requires:	%{_lib}jpeg8
Requires:	%{_lib}parted2
Requires:	plymouth >= 0.8.3
Requires:	alsa-utils
Requires:	harddrake-ui 
Requires:	harddrake 
Requires:	drakx-finish-install
Requires:	drakxtools-newt 
Requires:	drakxtools-backend
Requires:	drakxtools
Requires:	drak3d-common
Requires:	glibc >= 2.16
Requires:	lz4
Requires:	xz
Requires:	gzip
BuildRequires:	intltool

%description
MyLiveCD is a script that allows you to build a bootable LiveCD/DVD 
of your existing installation. It compresses a 2.5 gig install to 
700 mb CD or around a 10 gig install to 4 gig DVD. Maximum compressed
image cannot exceed 4 gigs. It features automatic hardware detection
and decompresses the image on the fly with almost no performace impact.

%prep
%setup -q
%apply_patches

%ifnarch x86_64
sed -i -e '/lib64/d' linuxrc
%endif

%install
rm -rf %buildroot

mkdir -p %buildroot%{_sbindir}
install -m 0755 mylivecd %buildroot%{_sbindir}
mkdir -p %buildroot/%{_datadir}/mylivecd
install -m 0644 halt.local gfxboot.cfg linuxrc rc.sysinit %buildroot/%{_datadir}/mylivecd

#tell udisks not to have file manager mount loop devices
mkdir -p %buildroot/%{_sysconfdir}/udev/rules.d
install -m 0644 %SOURCE1 %buildroot/%{_sysconfdir}/udev/rules.d/10-mylivecd.rules

#have loop kernel module load at bootup
mkdir -p %buildroot/%{_sysconfdir}/modprobe.preload.d
install -m 0644 %SOURCE2 %buildroot/%{_sysconfdir}/modprobe.preload.d/mylivecd


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_sbindir}/mylivecd
%{_datadir}/mylivecd/*
%{_sysconfdir}/udev/rules.d/10-mylivecd.rules
%{_sysconfdir}/modprobe.preload.d/mylivecd

%posttrans
/sbin/modprobe loop > /dev/null 2>&1


%changelog
* Wed Jun 08 2016 bb <bb. 0.9.9-8pclos2016
- fix libpng so updates are not a problem with 
- this library

* Fri Apr 01 2016 TerryN <terryn94 at gmail.com> 0.9.9-7pclos2016
- Always add UEFI boot image on 64 bit
- include ext2 module in grub image
- hybridize the ISOs

* Sat Mar 05 2016 bb <bb> 0.9.9-6pclos2016
- add req libparted2
- fix mylivecd to use libparted.so.2 instead of the 
- dead libparted.so.0 so it can be removed

* Tue Mar 01 2016 TerryN <terryn94 at gmail.com> 0.9.9-5pclos2016
- exclude base-iso 

* Sat Jan 30 2016 TerryN <terryn94 at gmail.com> 0.9.9-4pclos2016
- improved UEFI boot image generation
- work around grub cmdpath problem
- add theme for UEFI boot if available

* Thu Jan 21 2016 TerryN <terryn94 at gmail.com> 0.9.9-3pclos2016
- reduce size of UEFI boot image
- remove the useless syslinux-efi implementation

* Mon Jan 11 2016 TerryN <terryn94 at gmail.com> 0.9.9-2pclos2016
- fix disk detection order when booting live usb
- fix iwlwifi (firmware load) problem with LiveCD
- ensure workdir is excluded

* Sun Dec 27 2015 bb <bb> 0.9.9-1pclos2015
- add ntfs support for livecd

* Sun Dec 20 2015 bb <bb> 0.9.8-24pclos2015
- update for libpng

* Fri Nov 20 2015 bb <bb> 0.9.8-23pclos2015
- fix mylivecd for libpng update

* Mon Nov 16 2015 bb <bb> 0.9.8-22pclos2015
- have mylivecd call /sbin/mke2fs instead of mke2fs

* Sun Nov 15 2015 bb <bb> 0.9.8-21pclos2015
- have mylivecd call /sbin/depmod intead of depmod

* Sat Oct 24 2015 TerryN <terryn94 at gmail.com> 0.9.8-20pclos2015
- consolidated into single script for 32/64 bit
- added support for UDF for large ISOs

* Sat Sep 05 2015 bb <bb> 0.9.8-19-1pclos2015
- update for util-linux-nx update fdisk library

* Sat Aug 29 2015 bb <bb> 0.9.8-18-1pclos2015
- update for util-ng utilities update

* Sun Apr 19 2015 TerryN <terryn94 at gmail.com> 0.9.8-17pclos2015
- add option to include additional UEFI boot image

* Wed Apr 16 2015 bb <bb> 0.9.8-16pclos2015
- update for mediacheck dropped

* Thu Feb 26 2015 bb <bb> 0.9.8-15pclos2015
- fix mylivecd for 32bit

* Tue Feb 10 2015 bb <bb> 0.9.9-14pclos2015
- adjust for xz compressed kernel

* Sun Feb 01 2015 bb <bb> 0.9.8-13pclos2015
- adjust for depreciated ide driver on 64bit
- adjust linuxrc for aufs built as module

* Wed Dec 03 2014 pinoc <vogtpet at gmail.com> 0.9.8-12pclos2014
- updated to new libpng 1.2.52

* Sat Oct 18 2014 bb <bb> 0.9.8-11pclos2014
- merge in just16 changes to discovery

* Mon Aug 11 2014 pinoc <vogtpet at gmail.com> 0.9.8-10pclos2014
- updated to new libpng

* Wed Jun 11 2014 bb <bb> 0.9.8-9pclos2014
- load loop kernel module at boot
- drop mount -o bind /dev /dev

* Mon Jun 09 2014 bb <bb> 0.9.8-8pclos2014
- add udev 10-mylivecd.rules for udisks to ignore loop mounts

* Fri Jun 04 2014 bb <bb> 0.9.6-7pclos2014
- add support for sysliux 6.02
- change safe video option to vesa

* Mon Apr 28 2014 bb <bb> 0.9.8-6pclos2014
- drop probe-modules ntfs in linuxrc (not needed)

* Sat Apr 26 2014 bb <bb> 0.9.8-5pclos2014
- add nls_cp437 to probe-modules for fat32 support

* Thu Apr 10 2014 bb <bb> 0.9.8-4pclos2014
- fix mylivecd for using kernels less than 3.12.x
- add quiet to default iso boot
- add probe-modules ntfs to linuxrc

* Mon Apr 07 2014 bb <bb> 0.9.8-3pclos2014
- fix booting from usbkey

* Mon Apr 07 2014 bb <bb> 0.9.8-2pclos2014
- change version to 0.9.8 in script

* Sun Apr 06 2014 bb <bb> 0.9.8-1pclos2014
- fix mylivecd for kernel 3.12.x and up

* Sun Apr 06 2014 bb <bb> 0.9.7-8pclos2014
- fix required modules load for livecd

* Sun Mar 30 2014 bb <bb> 0.9.7-7pclos2014
- fix booting when overlayfs is used by
- add modprobe overlayfs to the linuxrc

* Fri Mar 21 2014 bb <bb> 0.9.7-6pclos2014
- dont try to copy depreciated xpm.gz file when using
- grub option to build iso

* Thu Mar 20 2014 bb <bb> 0.9.7-5pclos2014
- remove old devfs option from boot config

* Thu Mar 20 2014 bb <bb> 0.9.7-4pclos2014
- remove vmalloc and nokmsboot from boot entries
- remove probe-modules unionfs from linuxrc

* Thu Feb 27 2014 pinoc <vogtpet at gmail.com> 0.9.7-3pclos2014
- updated usage printout (32bit)
- deleted references to lz4hc (32bit)
- fix 32bit version to match 64bit version

* Thu Feb 27 2014 bb <bb> 0.9.7-2pclos2014
- fix progress bar when creating image
- drop acpi=on from default boot setting
- drop --lz4hc option

* Tue Feb 18 2014 pinoc <vogtpet at gmail.com> 0.9.7-1pclos2014
- applied etjr patches to work with kernel 3.10.x
- include patches for overlayfs and new lz4 compression, both not functional yet
- default to aufs instead of unionfs

* Mon Nov 25 2013 pinoc <vogtpet at gmail.com> 0.9.6-5pclos2013
- exclude pulse files in mylivecd

* Sun Nov 24 2013 billybot <billybot> 0.9.6-4pclos2013
- change to libjpeg8 dependency

* Sat Jun 30 2013 Texstar <texstar at gmail.com> 0.9.6-3pclos2013
- add do_cmd sleep 2 in initrd creation area to give umount time
- to unmount without giving busy error

* Sat Jun 22 2013 Texstar <texstar at gmail.com> 0.9.6-2pclos2013
- exclude the /run folder when making the livecd as udisks2 will
- create it at boot
- make /var/lib/libuuidd writable and remove urpmi 

* Thu May 23 2013 pinoc <vogtpet at gmail.com> 0.9.6-1pclos2013
- combined setup for 32/64
- amended for new tool chain 
- removed noarch

* Fri Mar 23 2012 Neal <nealbrks0 at gmail dot com> 0.9.5-5pclos2012
- process

* Fri Mar 23 2012 AS <as.pclos at gmail.com> 0.9.5-5pclos2012
- options for 2nd kernel and related custom description

* Mon Feb 27 2012 Neal <nealbrks0 at gmail dot com> 0.9.5-4pclos2012
- process

* Mon Feb 27 2012 AS <as.pclos at gmail.com> 0.9.5-4pclos2012
- changes because of new lib64png3

* Sat Sep 24 2011 Texstar <texstar at gmail.com> 0.9.5-3pclos2011
- add additional compressing feature for bonus compression

* Mon Sep 05 2011 Texstar <texstar at gmail.com> 0.9.5-2pclos2011
- fix bootsplash for livecd
- remove lzma support 
- adjust files for initrd2 alternate kernels
- add xhci_hcd usb 3.0 support

* Sun Aug 14 2011 Texstar <texstar at gmail.com> 0.9.5-1pclos2011
- update for 64 bit

* Tue Aug 02 2011 Texstar <texstar at gmail.com> 0.9.4-9pclos2011
- update for glibc 2.13

* Sun Jul 10 2011 Texstar <texstar at gmail.com> 0.9.4-8pclos2011
- switch to fbdev instead of vesa 

* Wed Jun 15 2011 Texstar <texstar at gmail.com> 0.9.4-7pclos2011
- remove mem test some people having problems when this gets 
- installed in grub on their already broken system

* Sun Jun 12 2011 Texstar <texstar at gmail.com> 0.9.4-6pclos2011
- add Install PCLinuxOS from boot menu

* Sun Jun 12 2011 Texstar <texstar at gmail.com> 0.9.4-5pclos2011
- add memtest and depreciate mediacheck as it don't work on dvd

* Thu Jun 09 2011 Texstar <texstar at gmail.com> 0.9.4-4pclos2011
- exclude more files by default 

* Wed Jun 08 2011 Texstar <texstar at gmail.com> 0.9.4-3pclos2011
- exclude more files by default to reduce so much pre-work before
- livecd creation

* Wed Jun 08 2011 Texstar <texstar at gmail.com> 0.9.4-2pclos2011
- add dependency Req: drak3d-common
- add exclude icon-theme.cache from final iso

* Wed Jun 08 2011 Texstar <texstar at gmail.com> 0.9.4-1pclos2011
- remove quiet from boot line
- bump to 0.9.4

* Tue Jun 07 2011 Texstar <texstar at gmail.com> 0.9.3-20pclos2011
- fix apci typo to acpi 

* Mon Jun 06 2011 Texstar <texstar at gmail.com> 0.9.3-19pclos2011
- add requires so it functions properly

* Mon Jun 06 2011 Texstar <texstar at gmail.com> 0.9.3-18pclos2011
- fix exlude /etc/X11/xorg.conf but not the contents of /etc/X11/xorg.conf.d

* Sun Jun 05 2011 Texstar <texstar at gmail.com> 0.9.3-17pclos2011
- add nokmsboot to $appopt options

* Tue May 24 2011 Texstar <texstar at gmail.com> 0.9.3-16pclos2011
- add quiet to $appopt to make smooth transition from grub to plymouth

* Mon May 15 2011 Texstar <texstar at gmail.com> 0.9.3-15pclos2011
- change exclude to /var/lib/alsa/asound.state instead of /etc

* Fri Apr 22 2011 etjr <texstar at gmail.com> 0.9.3-14pclos2011 
- updates for special characters & ext4

* Mon Mar 28 2011 etjr <texstar at gmail.com> 0.9.3-13pclos2011
- updates for glibc-2.12.1

* Wed Mar 9 2011 etjr <texstar at gmail.com> 0.9.3-12pclos2011
- change requires in spec
- updates for lzma

* Tue Mar 1 2011 etjr <texstar at gmail.com> 0.9.3-11pclos2011
- updates for xz

* Sat Feb 19 2011 etjr <texstar at gmail.com> 0.9.3-10pclos2011
- updates for udev & aufs
- remove test for cdrom

* Mon Feb 14 2011 etjr <texstar at gmail.com> 0.9.3-9pclos2011
- Test for udev files
- add gzip option

* Fri Feb 4 2011 etjr <texstar at gmail.com> 0.9.3-8pclos2011
- test for cdrom and ieee1394 modules

* Mon Jan 31 2011 etjr <texstar at gmail.com> 0.9.3-7pclos2011
- remove cdrom and ieee1394 modules

* Wed Dec 15 2010 Texstar <texstar at gmail.com> 0.9.3-6pclos2010
- add linuxrc and rc.sysint changes for persistant filename
- add fix ext4 bug per OC

* Wed Nov 24 2010 Texstar <texstar at gmail.com> 0.9.3-5pclos2010
- add copy2ram patch from marcin.chojnowski at gmail.com

* Mon Sep 13 2010 Texstar <texstar at gmail.com> 0.9.3-4pclos2010
- change linuxrc to allow for more usbkey partitions to be found
- and mounted

* Mon Jul 05 2010 Texstar <texstar at gmail.com> 0.9.3-3pclos2010
- add vmalloc=256M to grub bootline for nvidia cards

* Thu Jun 10 2010 Texstar <texstar at gmail.com> 0.9.3-2pclos2010
- add updated service stop and start

* Mon May 31 2010 Texstar <texstar at gmail.com> 0.9.3-1pclos2010
- update for new plymouth

* Wed May 26 2010 Texstar <texstar at gmail.com> 0.9.2-1pclos2010
- add routine to disable services when creating LiveCD

* Tue May 25 2010 Texstar <texstar at gmail.com> 0.9.1-7pclos2010
- update for new udev

* Tue May 25 2010 Texstar <texstar at gmail.com> 0.9.1-6pclos2010
- update for new udev

* Sun May 23 2010 Texstar <texstar at gmail.com> 0.9.1-5pclos2010
- update for new libpng3

* Mon May 17 2010 Texstar <texstar at gmail.com> 0.9.1-4pclos2010
- update for new udev

* Tue May 04 2010 Texstar <texstar at gmail.com> 0.9.1-3pclos2010
- fix for new udev

* Mon May 03 2010 Texstar <texstar at gmail.com> 0.9.1-2pclos2010
- more fixes for usbkey persistence

* Sat May 01 2010 Texstar <texstar at gmail.com> 0.9.1-1pclos2010
- fix cdrom eject on copy to ram

* Mon Apr 19 2010 Texstar <texstar at gmail.com> 0.9.0-4pclos2010
- make sure draklive-install is installed

* Sun Apr 11 2010 Texstar <texstar at gmail.com> 0.9.0-3pclos2010
- change verbage to No Boot Splash

* Sun Apr 11 2010 Texstar <texstar at gmail.com> 0.9.0-2pclos2010
- set default vga mode to 791 for verbose boot
- added LiveCD - No Splash option to boot without plymouth boot graphics
- added logic to linuxrc to enable or disable plymouth from starting

* Sun Apr 11 2010 Texstar <texstar at gmail.com> 0.9.0-1pclos2010
- initial package based on code from mklivecd and mkcd

